#ifndef PLAYER_ACTOR_H
#define PLAYER_ACTOR_H

#include "actor_body.h"

class PlayerActor : public ActorBody {
	GDCLASS(PlayerActor, ActorBody);
	static void _bind_methods();
	void ready();
	void process(double delta);
	void input_move(Vector2 movement);

public:
	void _notification(int what);

private:
	Vector2 move_input{ 0.f, 0.f };
};

#endif // !PLAYER_ACTOR_H
